Package org.jcsp.plugNplay.ints

# Class FibonacciInt

java.lang.Object
org.jcsp.plugNplay.ints.FibonacciInt

All Implemented Interfaces:
  `CSProcess`

public final class FibonacciInt extends Object implements CSProcess
This generates the Fibonacci sequence on its output channel.

## CSProcess Diagram

### External View

             ______________
            |              | out
            | FibonacciInt |------>
            |______________|

### Internal View

             _______________________________________
            |                                       |
            |  _______________       ___________    |
            | |               |     |           |   | out
            | | PrefixInt (0) |-->--| Delta2Int |------>--
            | |_______________|     |___________|   |
            |        |                    |         |
            |        ^                    v         |
            |  ______|________       _____|____     |
            | |               |     |          |    |
            | | PrefixInt (1) |--invalid input: '<'--| PairsInt |    |
            | |_______________|     |__________|    |
            |                                       |
            |                          FibonacciInt |
            |_______________________________________|

## Description

`FibonacciInt` generates the sequence of Fibonacci numbers on its output channel.

## Channel Protocols

Output Channels
out | int | All channels in this package carry integers.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`FibonacciInt(ChannelOutputInt out)`
Construct a new FibonacciInt process with the output Channel out.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FibonacciInt

public FibonacciInt(ChannelOutputInt out)
Construct a new FibonacciInt process with the output Channel out.

Parameters:
  `out` - the output channel

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`